{
  "name": "app_harry-potter",
  "version": "1.0.0",
  "description": "Учебный проект",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "webpack --mode development",
    "build": "webpack --mode production",
    "watch": "webpack --mode development --watch",
    "start": "webpack serve --mode development --open",
    "eslint": "eslint ./ --fix"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/just-too-it/app_harry-potter.git"
  },
  "keywords": [],
  "author": "Natalya Dubina",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/just-too-it/app_harry-potter/issues"
  },
  "homepage": "https://gitlab.com/just-too-it/app_harry-potter#readme",
  "devDependencies": {
    "@reduxjs/toolkit": "^1.6.2",
    "@types/react": "^17.0.30",
    "@types/react-dom": "^17.0.9",
    "@types/react-redux": "^7.1.20",
    "@types/react-router-dom": "^5.3.1",
    "@typescript-eslint/eslint-plugin": "^4.32.0",
    "@typescript-eslint/parser": "^4.32.0",
    "clean-webpack-plugin": "^4.0.0",
    "css-loader": "^6.3.0",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.24.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-optimize-regex": "^1.2.1",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-promise": "^5.1.0",
    "eslint-plugin-react": "^7.26.1",
    "eslint-plugin-react-hooks": "^4.2.0",
    "eslint-plugin-sonarjs": "^0.10.0",
    "eslint-webpack-plugin": "^3.0.1",
    "html-webpack-plugin": "^5.3.2",
    "prettier": "2.4.1",
    "react-redux": "^7.2.5",
    "sass": "^1.42.1",
    "sass-loader": "^12.1.0",
    "style-loader": "^3.3.0",
    "webpack": "^5.58.2",
    "webpack-cli": "^4.9.0",
    "webpack-dev-server": "^4.3.0"
  },
  "dependencies": {
    "final-form": "^4.20.4",
    "formik": "^2.2.9",
    "normalize.css": "^8.0.1",
    "qs": "^6.7.0",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-final-form": "^6.5.7",
    "react-router-dom": "^5.3.0",
    "ts-loader": "^9.2.6",
    "typescript": "^4.4.4",
    "yup": "^0.32.11"
  }
}
